var NAVTREE =
[
  [ "CAE Tutorial", "index.html", [
    [ "Related Pages", "pages.html", [
      [ "tutorial_cae-animating_contour_data", "tutorial_cae-animating_contour_data.html", null ],
      [ "tutorial_cae-applying_color_contours", "tutorial_cae-applying_color_contours.html", null ],
      [ "tutorial_cae-displaying_color_legend", "tutorial_cae-displaying_color_legend.html", null ],
      [ "tutorial_cae-setting_advanced_interpolation", "tutorial_cae-setting_advanced_interpolation.html", null ],
      [ "tutorial_cae-setting_contour_rendermodes", "tutorial_cae-setting_contour_rendermodes.html", null ]
    ] ],
    [ "Class List", "annotated.html", [
      [ "CAnalysisApp", "class_c_analysis_app.html", null ],
      [ "CAnalysisDoc", "class_c_analysis_doc.html", null ],
      [ "CAnalysisView", "class_c_analysis_view.html", null ],
      [ "HAnalysisModel", "class_h_analysis_model.html", null ],
      [ "HAnalysisSelectionSet", "class_h_analysis_selection_set.html", null ],
      [ "HAnalysisView", "class_h_analysis_view.html", null ]
    ] ],
    [ "Class Index", "classes.html", null ],
    [ "Class Hierarchy", "hierarchy.html", [
      [ "CHoopsApp", "../../../HoopsMFC/ref_manual/class_c_hoops_app.html", [
        [ "CAnalysisApp", "class_c_analysis_app.html", null ]
      ] ],
      [ "CHoopsDoc", "../../../HoopsMFC/ref_manual/class_c_hoops_doc.html", [
        [ "CAnalysisDoc", "class_c_analysis_doc.html", null ]
      ] ],
      [ "CHoopsView", "../../../HoopsMFC/ref_manual/class_c_hoops_view.html", [
        [ "CAnalysisView", "class_c_analysis_view.html", null ]
      ] ],
      [ "HBaseModel", "../../../HoopsMVO/ref_manual/class_h_base_model.html", [
        [ "HAnalysisModel", "class_h_analysis_model.html", null ]
      ] ],
      [ "HBaseView", "../../../HoopsMVO/ref_manual/class_h_base_view.html", [
        [ "HAnalysisView", "class_h_analysis_view.html", null ]
      ] ],
      [ "HSelectionSet", "../../../HoopsMVO/ref_manual/class_h_selection_set.html", [
        [ "HAnalysisSelectionSet", "class_h_analysis_selection_set.html", null ]
      ] ]
    ] ],
    [ "Class Members", "functions.html", null ],
    [ "Namespace List", "namespaces.html", [
      [ "com", "namespacecom.html", null ],
      [ "com::techsoft", "namespacecom_1_1techsoft.html", null ],
      [ "ezpdf", "namespaceezpdf.html", null ],
      [ "ezpdf::filters", "namespaceezpdf_1_1filters.html", null ],
      [ "U3D_IDTF", "namespace_u3_d___i_d_t_f.html", null ]
    ] ],
    [ "File List", "files.html", [
      [ "Analysis.h", "_analysis_8h.html", null ],
      [ "AnalysisDoc.h", "_analysis_doc_8h.html", null ],
      [ "AnalysisView.h", "_analysis_view_8h.html", null ],
      [ "HAnalysisModel.h", "_h_analysis_model_8h.html", null ],
      [ "HAnalysisSelectionSet.h", "_h_analysis_selection_set_8h.html", null ],
      [ "HAnalysisView.h", "_h_analysis_view_8h.html", null ],
      [ "tutorial_cae-animating_contour_data.pre", "tutorial__cae-animating__contour__data_8pre.html", null ],
      [ "tutorial_cae-applying_color_contours.pre", "tutorial__cae-applying__color__contours_8pre.html", null ],
      [ "tutorial_cae-displaying_color_legend.pre", "tutorial__cae-displaying__color__legend_8pre.html", null ],
      [ "tutorial_cae-setting_advanced_interpolation.pre", "tutorial__cae-setting__advanced__interpolation_8pre.html", null ],
      [ "tutorial_cae-setting_contour_rendermodes.pre", "tutorial__cae-setting__contour__rendermodes_8pre.html", null ]
    ] ],
    [ "Directories", "dirs.html", [
      [ "demo", "dir_d1cc1b43bf5cca158a2b7b3d24ebc150.html", [
        [ "tutorial", "dir_46c0e2dbf1d80b819246632bbe5706e6.html", [
          [ "analysis", "dir_9aaccff8e8d5761aa642fbe4dae8ee15.html", null ]
        ] ]
      ] ]
    ] ],
    [ "File Members", "globals.html", null ]
  ] ]
];

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode)
  {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  if (level==0 && node.childrenData)
  {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() 
    {
      if (node.expanded) 
      {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast)
        {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        }
        else
        {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } 
      else 
      {
        expandNode(o, node, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  }
  else
  {
    domNode.appendChild(imgNode);
  }
  if (level==0)
  {
    if (node.isLast)
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    }
    else
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2pnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  }
  else
  {
    if (node.isLast)
    {
      imgNode.src = node.relpath+"ftv2blank.png";
    }
    else
    {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  a.appendChild(node.label);
  if (link) 
  {
    a.href = node.relpath+link;
  } 
  else 
  {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
      node.expanded = false;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() 
  {
    if (!node.childrenUL) 
    {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
}

function expandNode(o, node, imm)
{
  if (node.childrenData && !node.expanded) 
  {
    if (!node.childrenVisited) 
    {
      getNode(o, node);
    }
    if (imm)
    {
      $(node.getChildrenUL()).show();
    } 
    else 
    {
      $(node.getChildrenUL()).slideDown("fast",showRoot);
    }
    if (node.isLast)
    {
      node.plus_img.src = node.relpath+"ftv2mlastnode.png";
    }
    else
    {
      node.plus_img.src = node.relpath+"ftv2mnode.png";
    }
    node.expanded = true;
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) 
  {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
        i==l);
  }
}

function findNavTreePage(url, data)
{
  var nodes = data;
  var result = null;
  for (var i in nodes) 
  {
    var d = nodes[i];
    if (d[1] == url) 
    {
      return new Array(i);
    }
    else if (d[2] != null) // array of children
    {
      result = findNavTreePage(url, d[2]);
      if (result != null) 
      {
        return (new Array(i).concat(result));
      }
    }
  }
  return null;
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;

  getNode(o, o.node);

  o.breadcrumbs = findNavTreePage(toroot, NAVTREE);
  if (o.breadcrumbs == null)
  {
    o.breadcrumbs = findNavTreePage("index.html",NAVTREE);
  }
  if (o.breadcrumbs != null && o.breadcrumbs.length>0)
  {
    var p = o.node;
    for (var i in o.breadcrumbs) 
    {
      var j = o.breadcrumbs[i];
      p = p.children[j];
      expandNode(o,p,true);
    }
    p.itemDiv.className = p.itemDiv.className + " selected";
    p.itemDiv.id = "selected";
    $(window).load(showRoot);
  }
}

